#import "KColorUtils.h"

@implementation KColorUtils

+ (rgb_color)convertNSColorToStruct:(NSColor*)color
{
	rgb_color st_color;
	[color getRed:&st_color.red green:&st_color.green blue:&st_color.blue alpha:&st_color.alpha];
	return st_color;
}

+ (NSColor*)convertStructToNSColor:(rgb_color)color
{
	return [NSColor colorWithCalibratedRed:color.red green:color.green blue:color.blue alpha:color.alpha];
}

+ (BOOL)isEqualColor:(NSColor*)colorA andColor:(NSColor*)colorB
{
	rgb_color st_colorA, st_colorB;
	[colorA getRed:&st_colorA.red green:&st_colorA.green blue:&st_colorA.blue alpha:&st_colorA.alpha];
	[colorB getRed:&st_colorB.red green:&st_colorB.green blue:&st_colorB.blue alpha:&st_colorB.alpha];
	
	if(st_colorA.red == st_colorB.red
			&& st_colorA.green == st_colorB.green
			&& st_colorA.blue == st_colorB.blue
			&& st_colorA.alpha == st_colorB.alpha){
		return YES;
	}
	return NO;
}

@end
