//
//  KTextUtils.h
//  KEdit
//
//  Created by Karino, Masatsugu on Thu Feb 20 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum { KLF_type = 1, KCR_type, KCRLF_type } KReturnCodeType;

typedef enum { NUL_char = 0,
	LF_char = 10,  CR_char = 13,
	ESC_char = 27, SS2_char = 142
} KCharacterCode;

typedef enum {
	NEW_type = 1,
	OLD_type,
	NEC_type,
	EUC_type,
	SJIS_type,
	EUCORSJIS_type,
	UTF8_type,
	UTF16_type,
	ASCII_type
} KDetectedCharacterCodeType;

@interface KTextUtils : NSObject {

}
// Return-Code Converter
+ (KReturnCodeType) detectReturnCodeType:(NSData*) data;
+ (NSData*) convertReturnCode:(NSData*) data from:(KReturnCodeType) fromType to:(KReturnCodeType) toType;


// Character-Code Detector
+ (NSStringEncoding) detectCharacterCodeType:(NSData*) data;

// internal use only
+ (int)getCodeLength:(const char*) text;
@end













